PDA

Afficher la version complète : compilation noyau



zylix
13/11/2005, 01h41
salut

j'essai d'installer les pilotes ati pour une radeon 9600 pro sous suse 10.
apres un grand nombre d'essai et de plantages. j'ai enfin trouvé d'ou vient le probleme.

ayant essayer les 2 methodes d'installation (celle d'alionet et celle de wordpress) j'ai a chaque fois un echec.

a cause du kernel...

j'ai aucune idée de comment recompiler mon kernel avec les drivers ati.

j'ai du mal a suivre le tuto sur le site .

je suis un noob en la matiere.

sur le tuto il y a tellement d'option que je sais pas tres bien lesquelles me concerne.

un peu d'aide serait bienvenue.

merci

offworld
13/11/2005, 03h27
De nos jour on compille un kernel uniquement pour ce l'optimisé.
Les kernels sont modulaires.
CAD qu'on n'y rajoute des modules.
Donne nous plutot tes messages d'erreurs.

zylix
13/11/2005, 10h26
merci de ton aide

voila ce que j'ai fait

su
password

init 3

sh /home/myname/ati-driver-installer-8.18.8-i386.run

la au debut ça a l'air de marcher

you are running a x86 maxhine with glibc 2.1
operating system suse 10

puis

1 install driver 8.18.8 on xorg 6.8.x
2 generate distribution specific....

la j'ai choisi 1

type d'installation

1 recommended
2 expert

j'ai choisi 1

ensuite l'erreur arrive

would you like to launch au web browser

yes no

que je mette l'un ou l'autre
j'obtiens ça :

there were error during installation details can be found in /usr/share/fglrx/fglrx-install.log

retour en init 5 et je vais voir le fglrx-install.log

[Message] Kernel Module : Trying to install a precompiled kernel module.
[Message] Kernel Module : Precompiled kernel module version mismatched.
[Message] Kernel Module : Found kernel module build environment, generating kernel module now.
ATI module generator V 2.0
==========================
initializing...
kernel includes at /usr/src/linux/include not found or incomplete
file: /usr/src/linux/include/linux/version.h
[Error] Kernel Module : Failed to compile kernel module - please consult readme.

a partir de la je suis perdu ?.....

(ça fait qu'une semaine que je suis passé a linux)

voila si tu peux m'aider pour avancer...

zylix
13/11/2005, 12h42
merci de ton aide

voila ce que j'ai fait

su
password

init 3

sh /home/myname/ati-driver-installer-8.18.8-i386.run

la au debut ça a l'air de marcher

you are running a x86 maxhine with glibc 2.1
operating system suse 10

puis

1 install driver 8.18.8 on xorg 6.8.x
2 generate distribution specific....

la j'ai choisi 1

type d'installation

1 recommended
2 expert

j'ai choisi 1

ensuite l'erreur arrive

would you like to launch au web browser

yes no

que je mette l'un ou l'autre
j'obtiens ça :

there were error during installation details can be found in /usr/share/fglrx/fglrx-install.log

retour en init 5 et je vais voir le fglrx-install.log

[Message] Kernel Module : Trying to install a precompiled kernel module.
[Message] Kernel Module : Precompiled kernel module version mismatched.
[Message] Kernel Module : Found kernel module build environment, generating kernel module now.
ATI module generator V 2.0
==========================
initializing...
kernel includes at /usr/src/linux/include not found or incomplete
file: /usr/src/linux/include/linux/version.h
[Error] Kernel Module : Failed to compile kernel module - please consult readme.

a partir de la je suis perdu ?.....

(ça fait qu'une semaine que je suis passé a linux)

voila si tu peux m'aider pour avancer...[/b]


j'ai continuer tout seul en attendant que quelqu'un me vienne en aide

j'ai reussi a corriger l'erreur ci dessus et a faire l'installation sans probleme

(j'ai ajouté gcc3, libstdc++, kernel_source) ils n'etait pas par defaut a l'instal de suse

je suis passé a la deuxieme parti pour faire la config de la 3d avec sax.

et la probleme
j'ai fait

sax2 -r -m 0=fglrx -b /usr/share/doc/packages/fglrx/sax2-profile

(en root sous init 3)

mais voila l'erreur retournée.

init : couldn't open file : /usr/share/doc/packages/fglrx/sax2-profile at /usr/share/sax/init.pl line 971


voila
cette fois je suis vraiment bloqué

j'attends les secours http://www.alionet.org/style_emoticons/<#EMO_DIR#>/rolleyes.gif

j'ai editer init.pl a la ligne 971 mais je suis incapable d'interpreter quoi que se soit c'est de la programmation

open (fd,$profile) die "init : could not open file: $profile";
....